class_name ControlDisplay extends Control

@onready var range_attack_button : TextureButton = $RangedAttack
@onready var melee_attack_button : TextureButton = $MeleeAttack
@onready var trap_button : TextureButton = $Trap
@onready var detect_button : TextureButton = $Detect
@onready var switch_button : TextureButton = $Switch

func _on_melee_range_changed(melee : bool) -> void:
	range_attack_button.visible = !melee
	melee_attack_button.visible = melee

func _process(delta: float) -> void:
	trap_button.set_pressed_no_signal(Input.is_action_pressed("lay trap"))
	detect_button.set_pressed_no_signal(Input.is_action_pressed("detect"))
	switch_button.set_pressed_no_signal(Input.is_action_pressed("detonate"))
	melee_attack_button.set_pressed_no_signal(Input.is_action_pressed("attack"))
	range_attack_button.set_pressed_no_signal(Input.is_action_pressed("attack"))
